Functions
DMA_Management
Peripheral Driver » LL Driver » HMAC » Functions

## Functions
__STATIC_INLINE void | ll_hmac_set_dma_transfer_block (hmac_regs_t *HMACx, uint32_t block)
| Set HMAC transfer blocks in DMA mode. More...
__STATIC_INLINE uint32_t | ll_hmac_get_dma_transfer_block (hmac_regs_t *HMACx)
| Get HMAC transfer blocks in DMA mode. More...
__STATIC_INLINE void | ll_hmac_set_dma_read_address (hmac_regs_t *HMACx, uint32_t address)
| Set HMAC read address of RAM in DMA mode. More...
__STATIC_INLINE uint32_t | ll_hmac_get_dma_read_address (hmac_regs_t *HMACx)
| Get HMAC read address of RAM in DMA mode. More...
__STATIC_INLINE void | ll_hmac_set_dma_write_address (hmac_regs_t *HMACx, uint32_t address)
| Set HMAC write address of RAM in DMA mode. More...
__STATIC_INLINE uint32_t | ll_hmac_get_dma_write_address (hmac_regs_t *HMACx)
| Get HMAC write address of RAM in DMA mode. More...

## Detailed Description

## Function Documentation

## ◆ ll_hmac_get_dma_read_address()

__STATIC_INLINE uint32_t ll_hmac_get_dma_read_address | ( | hmac_regs_t * | HMACx | ) |

Get HMAC read address of RAM in DMA mode.

Register|BitsName ---------------|--------------- RD_START_ADDR | ADDR

Parameters

  HMACx | HMAC instance

Return values

  Return | value is the address in RAM

Definition at line 758 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_get_dma_transfer_block()

__STATIC_INLINE uint32_t ll_hmac_get_dma_transfer_block | ( | hmac_regs_t * | HMACx | ) |

Get HMAC transfer blocks in DMA mode.

Register|BitsName ---------------|--------------- XFE_SIZE | SIZE

Parameters

  HMACx | HMAC instance

Return values

  Return | value is between: 1 ~ 512

Definition at line 727 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_get_dma_write_address()

__STATIC_INLINE uint32_t ll_hmac_get_dma_write_address | ( | hmac_regs_t * | HMACx | ) |

Get HMAC write address of RAM in DMA mode.

Register|BitsName ---------------|--------------- WR_START_ADDR | ADDR

Parameters

  HMACx | HMAC instance

Return values

  Return | value is the address in RAM

Definition at line 789 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_dma_read_address()

__STATIC_INLINE void ll_hmac_set_dma_read_address | ( | hmac_regs_t * | HMACx,
|  | uint32_t | address
| ) |  |

Set HMAC read address of RAM in DMA mode.

Register|BitsName ---------------|--------------- RD_START_ADDR | ADDR

Parameters

  HMACx | HMAC instance
  address | This parameter can be one of the address in RAM

Return values

  None |

Definition at line 743 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_dma_transfer_block()

__STATIC_INLINE void ll_hmac_set_dma_transfer_block | ( | hmac_regs_t * | HMACx,
|  | uint32_t | block
| ) |  |

Set HMAC transfer blocks in DMA mode.

Register|BitsName ---------------|--------------- XFE_SIZE | SIZE

Parameters

  HMACx | HMAC instance
  block | This parameter can be one of the following values: 1 ~ 512

Return values

  None |

Definition at line 712 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_dma_write_address()

__STATIC_INLINE void ll_hmac_set_dma_write_address | ( | hmac_regs_t * | HMACx,
|  | uint32_t | address
| ) |  |

Set HMAC write address of RAM in DMA mode.

Register|BitsName ---------------|--------------- WR_START_ADDR | ADDR

Parameters

  HMACx | HMAC instance
  address | This parameter can be one of the address in RAM

Return values

  None |

Definition at line 774 of file gr55xx_ll_hmac.h.